package com.cirmuller.maidaddition;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.cirmuller.maidaddition.entity.brain.MaidBrain;
import com.cirmuller.maidaddition.entity.memory.CanChunkLoadedMemory;
import com.cirmuller.maidaddition.entity.task.TaskInit;
import com.github.tartaricacid.touhoulittlemaid.api.ILittleMaid;
import com.github.tartaricacid.touhoulittlemaid.api.LittleMaidExtension;
import com.github.tartaricacid.touhoulittlemaid.api.entity.ai.IExtraMaidBrain;
import com.github.tartaricacid.touhoulittlemaid.api.entity.data.TaskDataKey;
import com.github.tartaricacid.touhoulittlemaid.entity.ai.brain.ExtraMaidBrainManager;
import com.github.tartaricacid.touhoulittlemaid.entity.data.TaskDataRegister;
import com.github.tartaricacid.touhoulittlemaid.entity.task.TaskManager;
import net.minecraft.resources.ResourceLocation;

@LittleMaidExtension
public class MaidPluginIn implements ILittleMaid {
  public static TaskDataKey<CanChunkLoadedMemory> canChunkLoadedData;
  
  public void addMaidTask(TaskManager manager) {
    TaskInit.addTask(manager);
  }
  
  public void addExtraMaidBrain(ExtraMaidBrainManager manager) {
    manager.addExtraMaidBrain((IExtraMaidBrain)new MaidBrain());
  }
  
  public void registerTaskData(TaskDataRegister register) {
    canChunkLoadedData = register.register(new ResourceLocation("maidaddition", "can_chunk_loaded_data"), CanChunkLoadedMemory.CODEC);
  }
}
